Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.rendezvous
Class RendezvousRouterStrategy

    java.lang.Object
      rice.pastry.socket.nat.rendezvous.RendezvousRouterStrategy

All Implemented Interfaces:
  RouterStrategy

    public class RendezvousRouterStrategy

extends java.lang.Object
implements RouterStrategy

Constructor Summary
`RendezvousRouterStrategy(PriorityTransportLayer<MultiInetSocketAddress> priority, Environment env)`

Method Summary
`protected java.util.Map<java.lang.String,java.lang.Object>` | `getOptions(NodeHandle nh)`
`NodeHandle` | `pickNextHop(RouteMessage msg, java.util.Iterator<NodeHandle> i)`
`protected int` | `routingQuality(NodeHandle nh)` Returns the quality of the nh for routing 0 is optimal 0 if connected and alive Suspected is a 1 (if connected or directly connectable) Alive and connected/directly contactable = 0 not directly connectable = 5 (unless connected) 10 if faulty

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RendezvousRouterStrategy

    public RendezvousRouterStrategy(PriorityTransportLayer<MultiInetSocketAddress> priority,
                                    Environment env)

Method Detail

### pickNextHop

    public NodeHandle pickNextHop(RouteMessage msg,
                                  java.util.Iterator<NodeHandle> i)

  Specified by:
    `pickNextHop` in interface `RouterStrategy`

### routingQuality

    protected int routingQuality(NodeHandle nh)

  Returns the quality of the nh for routing 0 is optimal 0 if connected and alive Suspected is a 1 (if connected or directly connectable) Alive and connected/directly contactable = 0 not directly connectable = 5 (unless connected) 10 if faulty

  Parameters:
    `nh` -
  Returns:

### getOptions

    protected java.util.Map<java.lang.String,java.lang.Object> getOptions(NodeHandle nh)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.